Execute Files Batch
POST
/api/v1/deployments/execute-batch
const url = 'https://example.com/api/v1/deployments/execute-batch?repository_name=example&branch=main&file_paths=example&deployment_id=example&on_error=break';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"additionalProperty":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/deployments/execute-batch?repository_name=example&branch=main&file_paths=example&deployment_id=example&on_error=break' \ --header 'Content-Type: application/json' \ --data '{ "additionalProperty": "example" }'Execute multiple files in batch.
Executes a list of SQL files in the specified order. Can either stop on first error (break) or continue through all files (continue).
Args: repository_name: Git repository name branch: Branch name file_paths: List of file paths to execute variables: Optional template variables on_error: ‘break’ to stop on error, ‘continue’ to execute all
Returns: Dictionary with execution results for each file
Raises: HTTPException: If batch execution fails
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”repository_name
required
Repository Name
Git repository name
string
Git repository name
branch
Branch
Branch name
string
Branch name
file_paths
required
File Paths
List of file paths to execute
Array<string>
List of file paths to execute
deployment_id
required
Deployment Id
Deployment ID
string
Deployment ID
on_error
On Error
Error handling: ‘break’ or ‘continue’
string
Error handling: ‘break’ or ‘continue’
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}